<template>
  <button v-bind:class="{
    'button': true,
    'black': isBlack && !isOrange,
    'orange': isOrange
  }">{{ buttonText }}</button>
</template>

<script>
export default {
  props: {
    buttonText: {
      type: String,
      default: ''
    },
    isBlack: {
      type: Boolean,
      default: true
    },
    isOrange: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="scss" scoped>
.button {
  width: 200px;
  height: 42px;
  font-size: 14px;
  border: 1px solid #D58C51;
}

.black {
  color: #D58C51;
  background: #161516;

  &:hover {
    color: #131313;
    background: #D58C51;
  }
}

.orange {
  color: #131313;
  background: #D58C51;
}
</style>
